:: TWIRL - animated cursor control
@echo off
if (%1)==(0) goto CHAR - we just want one character
set 'N=%1
if (%'N%)==() set 'N=2
goto IBID

        :HELP
echo.
echo    Call this batch file from your own for a twirling cursor
echo     TWIRL     - display one complete revolution
echo     TWIRL [n] - display [n] alternations (half revolutions)
echo                 (n must be a number).
echo     TWIRL 0   - display only one character
echo.
goto END

:IBID - come back to here for each twirl
 count 'N -    > nul
 if errorlevel 255 goto HELP
 if errorlevel 1 set 'N=
 if (%'N%)==() goto END - quit if we've done enough twirls
    :CHAR - start here for TWIRL 0
     if (%'C%)==() set 'C=4
     count 'C -
     if (%'C%)==(0) set 'C=
     if (%'C%)==()  qecho "-" 8
     if (%'C%)==(1) qecho "/" 8
     if (%'C%)==(2) qecho "|" 8
     if (%'C%)==(3) qecho "\" 8
     if (%1)==(0) goto END              :: quit if we just want one character
        wait .1
        if errorlevel 1 goto END        :: quit if a key is pressed
     if not (%'C%)==() goto CHAR        :: loop until all chars are printed
 goto IBID                              :: then go back and do it again

        If your cursor twirls too fast,
        you can add a delay to WAIT above.
        (for example, WAIT .12 delays for 12/100ths second)

:END
 set 'N=
